Chronicle V1 API - Class Google::Cloud::Chronicle::V1::CustomAPISettings (v1.1.0)

Reference documentation and code samples for the Chronicle V1 API class Google::Cloud::Chronicle::V1::CustomAPISettings.

Settings required by Feeds of Custom API (Codeless). Supports fetching data from third-party APIs with configurable pagination, authentication, and response parsing.

Inherits

  • Object

Extended By

  • Google::Protobuf::MessageExts::ClassMethods

Includes

  • Google::Protobuf::MessageExts

Methods

#base_url

def base_url() -> ::String
Returns
  • (::String) — Required. Enter the primary web address of the third-party API (e.g., https://api.vendor.com).

#base_url=

def base_url=(value) -> ::String
Parameter
  • value (::String) — Required. Enter the primary web address of the third-party API (e.g., https://api.vendor.com).
Returns
  • (::String) — Required. Enter the primary web address of the third-party API (e.g., https://api.vendor.com).

#basic_auth

def basic_auth() -> ::Google::Cloud::Chronicle::V1::UsernameSecretAuth
Returns
  • (::Google::Cloud::Chronicle::V1::UsernameSecretAuth) — Authenticate using Username/Password credentials.

    Note: The following fields are mutually exclusive: basic_auth, no_auth, oauth_client_credentials, header_auth, query_auth. If a field in that set is populated, all other fields in the set will automatically be cleared.

#basic_auth=

def basic_auth=(value) -> ::Google::Cloud::Chronicle::V1::UsernameSecretAuth
Parameter
  • value (::Google::Cloud::Chronicle::V1::UsernameSecretAuth) — Authenticate using Username/Password credentials.

    Note: The following fields are mutually exclusive: basic_auth, no_auth, oauth_client_credentials, header_auth, query_auth. If a field in that set is populated, all other fields in the set will automatically be cleared.

Returns
  • (::Google::Cloud::Chronicle::V1::UsernameSecretAuth) — Authenticate using Username/Password credentials.

    Note: The following fields are mutually exclusive: basic_auth, no_auth, oauth_client_credentials, header_auth, query_auth. If a field in that set is populated, all other fields in the set will automatically be cleared.

#header_auth

def header_auth() -> ::Google::Cloud::Chronicle::V1::CustomAPIHeaderAuth
Returns
  • (::Google::Cloud::Chronicle::V1::CustomAPIHeaderAuth) — Authenticate using custom API Keys injected into request headers.

    Note: The following fields are mutually exclusive: header_auth, no_auth, basic_auth, oauth_client_credentials, query_auth. If a field in that set is populated, all other fields in the set will automatically be cleared.

#header_auth=

def header_auth=(value) -> ::Google::Cloud::Chronicle::V1::CustomAPIHeaderAuth
Parameter
  • value (::Google::Cloud::Chronicle::V1::CustomAPIHeaderAuth) — Authenticate using custom API Keys injected into request headers.

    Note: The following fields are mutually exclusive: header_auth, no_auth, basic_auth, oauth_client_credentials, query_auth. If a field in that set is populated, all other fields in the set will automatically be cleared.

Returns
  • (::Google::Cloud::Chronicle::V1::CustomAPIHeaderAuth) — Authenticate using custom API Keys injected into request headers.

    Note: The following fields are mutually exclusive: header_auth, no_auth, basic_auth, oauth_client_credentials, query_auth. If a field in that set is populated, all other fields in the set will automatically be cleared.

#no_auth

def no_auth() -> ::Google::Cloud::Chronicle::V1::CustomAPINoAuth
Returns
  • (::Google::Cloud::Chronicle::V1::CustomAPINoAuth) — Authenticate without credentials or secrets.

    Note: The following fields are mutually exclusive: no_auth, basic_auth, oauth_client_credentials, header_auth, query_auth. If a field in that set is populated, all other fields in the set will automatically be cleared.

#no_auth=

def no_auth=(value) -> ::Google::Cloud::Chronicle::V1::CustomAPINoAuth
Parameter
  • value (::Google::Cloud::Chronicle::V1::CustomAPINoAuth) — Authenticate without credentials or secrets.

    Note: The following fields are mutually exclusive: no_auth, basic_auth, oauth_client_credentials, header_auth, query_auth. If a field in that set is populated, all other fields in the set will automatically be cleared.

Returns
  • (::Google::Cloud::Chronicle::V1::CustomAPINoAuth) — Authenticate without credentials or secrets.

    Note: The following fields are mutually exclusive: no_auth, basic_auth, oauth_client_credentials, header_auth, query_auth. If a field in that set is populated, all other fields in the set will automatically be cleared.

#oauth_client_credentials

def oauth_client_credentials() -> ::Google::Cloud::Chronicle::V1::OAuthClientCredentials
Returns
  • (::Google::Cloud::Chronicle::V1::OAuthClientCredentials) — Authenticate using OAuth 2.0 Client Credentials Grant flow.

    Note: The following fields are mutually exclusive: oauth_client_credentials, no_auth, basic_auth, header_auth, query_auth. If a field in that set is populated, all other fields in the set will automatically be cleared.

#oauth_client_credentials=

def oauth_client_credentials=(value) -> ::Google::Cloud::Chronicle::V1::OAuthClientCredentials
Parameter
  • value (::Google::Cloud::Chronicle::V1::OAuthClientCredentials) — Authenticate using OAuth 2.0 Client Credentials Grant flow.

    Note: The following fields are mutually exclusive: oauth_client_credentials, no_auth, basic_auth, header_auth, query_auth. If a field in that set is populated, all other fields in the set will automatically be cleared.

Returns
  • (::Google::Cloud::Chronicle::V1::OAuthClientCredentials) — Authenticate using OAuth 2.0 Client Credentials Grant flow.

    Note: The following fields are mutually exclusive: oauth_client_credentials, no_auth, basic_auth, header_auth, query_auth. If a field in that set is populated, all other fields in the set will automatically be cleared.

#polling_frequency

def polling_frequency() -> ::Integer
Returns
  • (::Integer) — Optional. Specify how often the platform checks the API for new data in minutes (default is 15 minutes).

#polling_frequency=

def polling_frequency=(value) -> ::Integer
Parameter
  • value (::Integer) — Optional. Specify how often the platform checks the API for new data in minutes (default is 15 minutes).
Returns
  • (::Integer) — Optional. Specify how often the platform checks the API for new data in minutes (default is 15 minutes).

#primary_request

def primary_request() -> ::Google::Cloud::Chronicle::V1::CustomAPITransferNode
Returns

#primary_request=

def primary_request=(value) -> ::Google::Cloud::Chronicle::V1::CustomAPITransferNode
Parameter
Returns

#query_auth

def query_auth() -> ::Google::Cloud::Chronicle::V1::CustomAPIQueryAuth
Returns
  • (::Google::Cloud::Chronicle::V1::CustomAPIQueryAuth) — Authenticate using custom API Keys injected into URL query parameters.

    Note: The following fields are mutually exclusive: query_auth, no_auth, basic_auth, oauth_client_credentials, header_auth. If a field in that set is populated, all other fields in the set will automatically be cleared.

#query_auth=

def query_auth=(value) -> ::Google::Cloud::Chronicle::V1::CustomAPIQueryAuth
Parameter
  • value (::Google::Cloud::Chronicle::V1::CustomAPIQueryAuth) — Authenticate using custom API Keys injected into URL query parameters.

    Note: The following fields are mutually exclusive: query_auth, no_auth, basic_auth, oauth_client_credentials, header_auth. If a field in that set is populated, all other fields in the set will automatically be cleared.

Returns
  • (::Google::Cloud::Chronicle::V1::CustomAPIQueryAuth) — Authenticate using custom API Keys injected into URL query parameters.

    Note: The following fields are mutually exclusive: query_auth, no_auth, basic_auth, oauth_client_credentials, header_auth. If a field in that set is populated, all other fields in the set will automatically be cleared.